{
  "compilerOptions": {
    "target": "es2018",
    "module": "commonjs",
    "lib": ["es2018", "esnext.asynciterable"],
    "allowJs": true,
    "outDir": "lib",
    "rootDir": "src",
    "strict": true,
    "newLine": "LF",
    "noUnusedLocals": true,
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "types": ["node"],
    "allowSyntheticDefaultImports": true,
    "esModuleInterop": true,
    "experimentalDecorators": true,
    "emitDecoratorMetadata": true
  },
  "include": ["src"],
  "exclude": ["node_modules", "lib"]
}
